--  Startup script for Love2D

local major, minor, revision = love.getVersion()
if major < 11 then
  --  Patch setColor, setBackgroundColor, clear
  local gsetColor = love.graphics.setColor
  local ggetColor = love.graphics.getColor
  local gsetBColor = love.graphics.setBackgroundColor
  local ggetBColor = love.graphics.getBackgroundColor
  local gclear = love.graphics.clear
  local setarg = function (r, g, b, a)
    if type(r) == "table" then
      return { r[1] and r[1] * 255, r[2] and r[2] * 255, r[3] and r[3] * 255, r[4] and r[4] * 255 }
    else
      return r and r * 255, g and g * 255, b and b * 255, a and a * 255
    end
  end
  local getarg = function (r, g, b, a)
    return r and r / 255, g and g / 255, b and b / 255, a and a / 255
  end
  love.graphics.setColor = function (r, g, b, a)
    gsetColor(setarg(r, g, b, a))
  end
  love.graphics.getColor = function ()
    return getarg(ggetColor())
  end
  love.graphics.setBackgroundColor = function (r, g, b, a)
    gsetBColor(setarg(r, g, b, a))
  end
  love.graphics.getBackgroundColor = function ()
    return getarg(ggetBColor())
  end
  love.graphics.clear = function (r, g, b, a)
    gclear(setarg(r, g, b, a))
  end
end
